Flash, Java, etc. does not work with out of process plugins and causes Firefox to become unresponsive

Bug #513887 reported by Eric Appleman on 2010-01-28
338
This bug affects 68 people
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Invalid
Medium
firefox (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: firefox

Using a trunk build with the Flash plugin installed, visit any website with
Flash content.

Firefox will become unresponsive and have to be forcibly closed.

Some error messages include:

** (firefox-3.7:8607): WARNING **: Serious fd usage error 14
** (firefox-3.7:8607): WARNING **: Serious fd usage error 12

Backtrace:

0x00a99422 in __kernel_vsyscall ()
---
Architecture: i386
CheckboxSubmission: b8398b21075a3a8723b2ba20478c4f9e
CheckboxSystem: 703a6ca1eefae989daaf40c6bb6aa94a
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20091209)
Package: firefox 3.6.2~hg20100130r33550+nobinonly-0ubuntu1~umd1
PackageArchitecture: i386
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-12.16-genusername
Tags: lucid
Uname: Linux 2.6.32-12-generic i686
UnreportableReason: This is not a genuine Ubuntu package
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

I think I'm experiencing the same problem. I'm using Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.3a1pre) Gecko/20100128 Ubuntu/9.10 (karmic) Minefield/3.7a1pre ID:20100128044501 with 64-bit Shockwave Flash 10.0 r42

Binary package hint: firefox

Using a trunk build with the Flash plugin installed, visit any website with
Flash content.

Firefox will become unresponsive and have to be forcibly closed.

Some error messages include:

** (firefox-3.7:8607): WARNING **: Serious fd usage error 14
** (firefox-3.7:8607): WARNING **: Serious fd usage error 12

Backtrace:

0x00a99422 in __kernel_vsyscall ()

Changed in firefox:
status: Unknown → New
walter.nasich (wnasich) wrote :

I have the same behaviour:

(firefox-3.7:22710): GLib-WARNING **: g_set_prgname() called multiple times

** (firefox-3.7:22782): WARNING **: Serious fd usage error 14

** (firefox-3.7:22782): WARNING **: Serious fd usage error 12

Same for me for the past two to three days.

(firefox-3.7:12884): GLib-WARNING **: g_set_prgname() called multiple times

** (firefox-3.7:14303): WARNING **: Serious fd usage error 14

** (firefox-3.7:14303): WARNING **: Serious fd usage error 12

Sandeep Kamath (sandeepkamath) wrote :

Same

** (firefox-3.7:16085): WARNING **: Serious fd usage error 16

** (firefox-3.7:16085): WARNING **: Serious fd usage error 14

Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.3a1pre) Gecko/20100130 Ubuntu/9.10 (karmic) Minefield/3.7a1pre ID:20100130044621

DisplayName (bersercer) wrote :

same after the previous update

** (firefox-3.7:12956): WARNING **: Serious fd usage error 14

** (firefox-3.7:12956): WARNING **: Serious fd usage error 12
^C

Yeah, this bug pretty much applies to practically every plugin out there.

same here...
tried with flash 9.0 r260
and with flash 10

*** e = [Exception... "Component returned failure code: 0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE) [nsIJSCID.getService]" nsresult: "0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE)" location: "JS frame :: chrome://browser/content/utilityOverlay.js :: getShellService :: line 313" data: no]

** (firefox-3.7:28632): WARNING **: Serious fd usage error 16

** (firefox-3.7:28632): WARNING **: Serious fd usage error 13

Micah Gersten (micahg) wrote :

Marking this Triaged as we have an upstream bug.

Changed in firefox (Ubuntu):
importance: Undecided → High
status: New → Triaged
tags: added: ppa

apport information

tags: added: apport-collected
description: updated
Eric Appleman (erappleman) wrote :

Yeah, this bug pretty much applies to practically every plugin out there.

summary: - Flash does not work with out of process plugins and causes Firefox to
- become unresponsive
+ Flash, Java, etc. does not work with out of process plugins and causes
+ Firefox to become unresponsive

Same bug, please try to fix it asap- it's impossible to use FF with such a big bug=(

(In reply to comment #0)
> ** (firefox-3.7:8607): WARNING **: Serious fd usage error 14
> ** (firefox-3.7:8607): WARNING **: Serious fd usage error 12

http://git.gnome.org/browse/ORBit2/tree/linc2/src/linc-connection.c#n929

Same problem here with same configuration than Michael except 32 bits instead of 64 bits. (Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.3a1pre) Gecko/20100204 Ubuntu/9.10 (karmic) Minefield/3.7a1pre).

But this problem seems to come from ubuntu packaging (ppa repositories), since if I download nightly build directly from ftp,
(Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.3a1pre) Gecko/20100204 Minefield/3.7a1pre) it works (i even retrieve the flash working with WindowlessDisable set to false).

Maybe something to check with the way ppa wrapping scripts launch firefox?

Bremm (bremm) wrote :

Same here: 3.7a2pre, Xubuntu 9.10 amd64

(firefox-3.7:6655): GLib-WARNING **: g_set_prgname() called multiple times

** (firefox-3.7:6681): WARNING **: Serious fd usage error 14

** (firefox-3.7:6681): WARNING **: Serious fd usage error 12

Alex Stanev (realender) wrote :

The quick workaround would be disabling out of process plugins via about:config , setting the key dom.ipc.plugins.enabled to false
Works with latest flash and gnash

Sandeep Kamath (sandeepkamath) wrote :

Yup, above workaround works :P

vnieto (vnieto) wrote :

wokr, but what do dom.ipc.plugins?

If that's the case, has someone filed a bug at https://bugs.launchpad.net/ubuntu/?

The place to report the bug (if this is really packaging related) should be "PPA for Ubuntu Mozilla Daily Build" mailing list (https://launchpad.net/~ubuntu-mozilla-daily/+archive/ppa) since it's not yet officially packaged into Ubuntu trunk.
However, their mailing list seems to be inactive (the daily builds are maybe automatic). So I think that we cannot expect support for these packages.
But if you confirm that using tarball instead of repositories solve the problem, this bug could be closed on the Mozilla bugtracker.

I can confirm that this issue does not apply to Mozilla's builds of 64-bit Firefox. Could the problem be because of optimizations made when it was compiled? For instance, my Firefox was optimized for AMD, but Mozilla's builds I think are optimized for Intel.

This is almost certainly a failure to properly find and execute mozilla-runtime. This may be due to the XULRunner/Firefox split that distros use, failure to ship mozilla-runtime, failure to find it in the expected location, or even something really dumb like it isn't marked executable. An strace would probably tell you where we're looking for it.

*** Bug 549108 has been marked as a duplicate of this bug. ***

Gytis Raciukaitis (noxxious) wrote :

When the dom.ipc.plugins is enabled i get an freeze with plugins, but a different error:
/usr/lib/xulrunner-1.9.3a4pre/mozilla-runtime: error while loading shared libraries: libxpcom.so: cannot open shared object file: No such file or directory

looks like a linking/library path problem with mozilla-runtime

If I do the quick hack of making symlinks of the required libraries in the /usr/lib then it works.

Gytis Raciukaitis (noxxious) wrote :

I forgot to add that I use 64 bit lucid and builds from mozilla daily PPA.

Maybe it's a packaging issue as noted in https://bugzilla.mozilla.org/show_bug.cgi?id=542053

I'm sorry if I just sent out an unwanted confirmation mail to you all... didn't use bugzilla before :D

I can confirm this bug, with the package from the ubuntu-mozilla-daily team [1], appeared this morning or so, using the package version 3.6.3+nobinonly-0ubuntu2

As mentioned on [2] a workaround would be to set "dom.ipc.plugins.enabled" to false in about:config

[1] https://launchpad.net/~ubuntu-mozilla-daily/+archive/ppa
[2] https://bugs.launchpad.net/firefox/+bug/513887

Josh R. (jjsalles) wrote :

Disabling plugins does work, very lame.

aslam karachiwala (akwala) wrote :

This started happening after the latest update from ppa:ubuntu-mozilla-daily/ppa --
firefox 3.6.4~hg20100410r34032+nobinonly-0ubuntu1~umd1~karmic

System: Ubuntu 9.10 amd64

Exactly the same problem as aslam karachiwala too ;)

Effiix (effiix) wrote :

I also have the same problem since I updated firefox yesterday. But it also happens on websites with extensive use of JS (such as GMail). Firefox freezes and the previous warnings (fd usage error 14 & 12) are raised, even if the key dom.ipc.plugins.enabled is already on false.

Uroš Gaber (uros-gaber) wrote :

I can also confirm this problem with firefox: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2.4pre) Gecko/20100410 Ubuntu/9.10 (karmic) Namoroka/3.6.4pre

Firefox works if I disable flash plugin, but I want it ;).

Nick Sewell (nsewell2) wrote :

Can confirm this. After updating firefox, the browser wouldn't start except in safe mode. Otherwise it would die with
** (firefox-bin:11278): WARNING **: Serious fd usage error 14

** (firefox-bin:11278): WARNING **: Serious fd usage error 12

Enabling the flash plugin while the browser is running gives the error

** (firefox-bin:11549): WARNING **: Serious fd usage error 36

** (firefox-bin:11549): WARNING **: Serious fd usage error 32

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2.4pre) Gecko/20100410 Ubuntu/9.10 (karmic) Namoroka/3.6.4pre

henry (hzmisc) wrote :

Same here after today's patch run!

This makes FF unusable, would be good to get a fix out really soon!

Anything we can help ?

Cheers,
henry

Agustin (agustin-bosso) wrote :

A workaround for me is to uninstall firefox from synaptic, download the tar.gz version of firefox from http://www.mozilla-europe.org/es/firefox/ and use that version instead

iWuzHere (aspiring-arsonist) wrote :

(firefox-bin:4625): GLib-WARNING **: g_set_prgname() called multiple times

** (firefox-bin:4658): WARNING **: Serious fd usage error 14

** (firefox-bin:4658): WARNING **: Serious fd usage error 12

same thing happens to me

Giovanni Figliozzi (giomini) wrote :

today I had the same problem. i checked in about:config dom.ipc.plugins.enabled, and it was already false. then i tried setting
___dom.ipc.plugins.enabled.libflashplayer.so to false____, and now seems to work. seems that a lot of people today had this problem with the namoroka nightly builds , maybe it's still easy to revert some bad commit

Kenneth (krcabrer) wrote :

Hi Ubuntu users:

I got the same problem.
I have to return to firefox 3.5 to solve the problem!!!

zkizzik (zkizzik) wrote :

Same problem in firefox 3.6.4 pre

Setting dom.ipc.plugins.enabled.libflashplayer.so to false fixed this problem for me!

Same problem here with
with firefox 3.6.4~hg20100410r3403
form the daily ppa.

Same problem here
Ubuntu Karmic x86

Namoroka 3.6.4pre (3.6.4~hg20100410r34032)

I've already set dom.ipc.plugins.enabled.libflashplayer.so to false, but I still can reproduce the problem in a web page when I click on a link that I know will bring a popup window. I don't know if that window has to execute something "special" like a JS code, but i am pretty sure that it desn't have to execute any flash or Java code

Luke Whitmore (lwhitmore) wrote :

Same here.

From help -> about:

Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.4pre) Gecko/20100410 Ubuntu/9.10 (karmic) Namoroka/3.6.4pre GTB6

I forgot to confirm that setting dom.ipc.plugins.enabled.libflashplayer.so to false resolved the problem for me, but (obviously) only for pages that have flash contents.

I've developed a dummy HTML page with two links. The first one brings a plain HTML page (no JavaScript, no Java, no Flash) on a popup window and the second one brings a JavaScript alert window.

When I click the first link, firefox freezes.
When I click the second link, the alert window appears without any problem.

I've made this test to make sure the problem is only when you need to bring a popup window, and not when you need to execute JavaScript code (because to bring a popup window you need to execute JavaScript code)

Squeezle (squeezle42) wrote :

I can also confirm setting dom.ipc.plugins.enabled.libflashplayer.so to false corrects it for now, and that the problem only appeared after switching from 3.5 to the nightly build

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2.4pre) Gecko/20100410 Ubuntu/9.10 (karmic) Namoroka/3.6.4pre

zkizzik (zkizzik) wrote :

lol, google chrome, internet explorer 8 and firefox crash winth flash player in ubuntu and windows xp sp2 xDDDDD loooooool

zkizzik (zkizzik) wrote :

video of demo:
http://webcomparte.com/archivos_publicos/otros/flash_bug.ogv

crash firefox in ubuntu and ie8 in windows xp

zkizzik (zkizzik) wrote :
zkizzik (zkizzik) wrote :

sorry,

In 4 rounds: crash google chrome, Opera, Firefox and internet explorer 8 in last versions in ubuntu and windows xp:

http://webcomparte.com/archivos_publicos/otros/owned_explorer.ogv

zkizzik (zkizzik) wrote :

google chrome work correctly in ubuntu :-/

Here is the test page I've developed (described in post #44)

http://www.phoenixac.cl/ff_crash/popup_test.html

zkizzik (zkizzik) wrote :

Stefan Pszczolkowski, the popup work ok in firefox 3.6.4 pre

Thank you zkizzik, the problem I had is some sort of uncompatibility with the Chromifox Companion add-on
https://addons.mozilla.org/en-US/firefox/addon/10339

Uninstalling this add-on solved the problem for me.

glavkos (glavkos) wrote :

I have the same problem with Ubuntu 9.10 and Namoroka 3.6.4 pre (the browser freezes on Gmail and Youtube)

How can I set dom.ipc.plugins.enabled.libflashplayer.so to false ? I go to About:config but I do not find that line ....

Do I have to register to MozillaZine? (I know that this is a stupid question).

Bernhard (b.a.koenig) wrote :

glavkos: If you don't have that line, try to set dom.ipc.plugins.enabled to false.

I was able to return Namaroka 3.6.4 pre to functional (except for flash)
by opening the browser clicking Tools > Add ons and then disable
Shockwave Flash from the Plugins tab.

glavkos wrote:
> I have the same problem with Ubuntu 9.10 and Namoroka 3.6.4 pre (the
> browser freezes on Gmail and Youtube)
>
> How can I set dom.ipc.plugins.enabled.libflashplayer.so to false ? I go
> to About:config but I do not find that line ....
>
> Do I have to register to MozillaZine? (I know that this is a stupid
> question).
>
>

glavkos (glavkos) wrote :

@Bernhard I am afraid I have to create an account on MozillaZine first ...I have sent them a mail...I can not find dom.ipc.plugins either ...I see the following :

dom. allow_scripts_to_close_windows
dom. disable_image_src_set
dom. disable_open_click_delay
dom. disable_open_during_load
dom. disable_window_flip
dom. disable_window_open_feature

dom. event. contextmenu. enabled
dom. popup_allowed_events

and some others but not the one you mention...

Thanks for your help anyway :)

Bernhard (b.a.koenig) wrote :

glavkos: this has absolutely nothing to do with a MozillaZine account. :)

From your list I would suspect that you are running a Firefox 3.6 without the recent dom.ipc code. So if you have problems with flash, this might be for some other reason. Which repos are you using other than the normal Ubuntu repos?

AndersTyft (tyft) wrote :

I combined the about:config thing with this: http://lovinglinux.megabyet.net/?page_id=220##1---Manual-installation-of-fresh-final-releases-from-Mozilla-3

Now redtube works like a charm!

glavkos (glavkos) wrote :

Yep , this is a problem . Isn't ?

My repositories are shown on the attachment below.

Bernhard (b.a.koenig) wrote :

glavkos, since you do have the "mozilla daily build" repo in your sources, I am surprised that you don't have the dom.ipc options in your about:config. What would probably solve the problem for you would be to disable the "mozilla daily build" for a while (until this bug is fixed). Note that in this case, you would have to manually downgrade your firefox to the version from the Ubuntu repos. To do this, open Synaptic, search firefox and click "Package--> Force version" and select the older version from the Ubuntu repos.

glavkos (glavkos) wrote :

@Anders Tyft
I tried to run the first command you propose and I get that error.... (13:Permission denied).

glavkos@glavkos-laptop:~$ sudo apt-get remove swfdec-mozilla
[sudo] password for glavkos:
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Το πακέτο swfdec-mozilla δεν είναι εγκατεστημένο και δεν θα αφαιρεθεί
Τα ακόλουθα πακέτα εγκαταστάθηκαν αυτόματα και δεν χρειάζονται πλέον:
  winbind
Χρησιμοποιήστε 'apt-get autoremove' για να τα διαγράψετε.
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 0 θα αφαιρεθούν και 2 δεν αναβαθμίζονται.
glavkos@glavkos-laptop:~$ apt-get autoremove
E: Αδύνατο το άνοιγμα του αρχείου κλειδώματος /var/lib/dpkg/lock - open (13: Permission denied)

Can anybody tell me what it means ?
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?

Hi!
The only solution with positive results I found is:
1) Uninstall Firefox 3.6.4 Namoroka (synaptic package manager)
2) Delete from the repositories (system-synaptic package manager) the
"mozilla" line,
3) Reload the new repositories
4) Install Firefox 3.5 (synaptic package manager)

And there is no problem any more!

Johnko99

2010/4/14 glavkos <email address hidden>

> I have the same problem with Ubuntu 9.10 and Namoroka 3.6.4 pre (the
> browser freezes on Gmail and Youtube)
>
> How can I set dom.ipc.plugins.enabled.libflashplayer.so to false ? I go
> to About:config but I do not find that line ....
>
> Do I have to register to MozillaZine? (I know that this is a stupid
> question).
>
> --
> Flash, Java, etc. does not work with out of process plugins and causes
> Firefox to become unresponsive
> https://bugs.launchpad.net/bugs/513887
> You received this bug notification because you are a direct subscriber
> of the bug.
>

glavkos (glavkos) wrote :

@John Baldur

Your solution worked for me after all ....I reinstall Firefox 3.5.9 (not the Namoroka version) and looks to work fine...
Great tip John ...Thank you

Dana Goyette (danagoyette) wrote :

For the time being, I've worked around this bug by creating my own wrapper around mozilla-runtime.

I dpkg-diverted mozilla-runtime out of the way:
sudo dpkg-divert --local --add --rename /usr/lib/xulrunner-1.9.3a4pre/mozilla-runtime

I then created in a text editor (nano) and marked executable (chmod +x ) a new mozilla-runtime with the following contents:
#!/bin/sh
export LD_LIBRARY_PATH=/usr/lib/xulrunner-1.9.3a4pre/:$LD_LIBRARY_PATH
exec /usr/lib/xulrunner-1.9.3a4pre/mozilla-runtime.distrib $@

It seems mozilla-runtime is being called with neither PATH nor LD_LIBRARY_PATH containing the xulrunner directory.

Note that since I have overridden mozilla-runtime, apport now gives me "This report does not apply to a packaged program":
https://bugs.launchpad.net/apport/+bug/83105

Once we get an official fix, you can undo my changes by deleting the custom "mozilla-runtime" wrapper, and then un-diverting the original:
sudo dpkg-divert --local --remove --rename /usr/lib/xulrunner-1.9.3a4pre/mozilla-runtime

Harshid (harshid) wrote :

I can confirm that Dana Goyette's workaround works. However it only works with Minefield (1.9.3) and not Namoroka (1.9.2). This is because for some reason Namoroka doesn't even come with a mozilla-runtime :$

qin_sx (qin-sx) wrote :

It seems this bug was fixed.
I've updated my Namoroka to 3.6.5pre. It seems OK now.

Fatih Bostancı (fbostanci) wrote :

Same here. There is no flash plugin problem anymore.

It looks as though the problem has been solved as of 3.6.5pre.

firefox-3.5:
  Installed: 3.6.5~hg20100421r34093+nobinonly-0ubuntu1~umd1~karmic
  Candidate: 3.6.5~hg20100421r34093+nobinonly-0ubuntu1~umd1~karmic
  Version table:
 *** 3.6.5~hg20100421r34093+nobinonly-0ubuntu1~umd1~karmic 0
        500 http://ppa.launchpad.net karmic/main Packages
        100 /var/lib/dpkg/status
     3.5.9+nobinonly-0ubuntu0.9.10.1 0
        500 http://gpl.savoirfairelinux.net karmic-updates/main Packages
        500 http://gpl.savoirfairelinux.net karmic-security/main Packages
     3.5.3+build1+nobinonly-0ubuntu6 0
        500 http://gpl.savoirfairelinux.net karmic/main Packages

Julian Lam (julian-lam) wrote :

Confirmed that this is no longer a problem. GMail and Youtube work fine now. Looks as though the bug was fixed upstream... although I can't seem to find it. I didn't look very hard though. In any case, please re-open if the bug begins exhibiting symptoms again,

Changed in firefox (Ubuntu):
status: Triaged → Invalid

This was an Ubuntu packaging issue. We forgot to include the new plugin-container binary. I'll land the change on our 3.7 packaging branch this weekend.

I stil get that error with last package ( firefox-3.7_3.7~a5~hg20100422r41159+nobinonly-0ubuntu1~umd2_amd64.deb )

Opening youtube i get:

** (firefox-3.7:2708): WARNING **: Serious fd usage error 14

** (firefox-3.7:2708): WARNING **: Serious fd usage error 12

Chris Coulson (chrisccoulson) wrote :

The bug was fixed in our packaging. 3.7 probably doesn't have that fix yet though

Changed in firefox (Ubuntu):
status: Invalid → Fix Committed
Julian Lam (julian-lam) wrote :

Yup, according to upstream, the bug is due to a critical package left out in the Ubuntu version. The fix for 3.6 is released, 3.7 is committed.

Changed in firefox:
status: New → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 3.6.4+build7+nobinonly-0ubuntu1

---------------
firefox (3.6.4+build7+nobinonly-0ubuntu1) maverick; urgency=low

  * New upstream release v3.6.4 (FIREFOX_3_6_4_BUILD7)

  [ Micah Gersten <email address hidden> ]
  * Rebase patch after upstream landing of Lorentz branch
    - update debian/patches/bz460917_att350845_reload_new_plugins.patch
  * Drop patch after upstream landing of (bmo: 544481) aka
    Build fails on Ubuntu Lucid Lynx using 'dash' shell
    - drop debian/patches/fix-build-glitch.patch
    - update debian/patches/series

  [ Jamie Strandboge <email address hidden> ]
  * AppArmor:
    - allow ixr access to /usr/lib/xulrunner-*/plugin-container for xul builds
    - finetune Adobe Reader access (LP: #570337)
    - silence noisy denial on /boot/vmlinuz* and /boot/initrd.img* caused by
      readlinking symlinks in / (LP: #571761)
    - allow 'm' for java's 'classes.jsa' file (LP: #574459)
    - transition to firefox_java on Sun's jre/bin/java_vm too (LP: #570128)
    - allow Uxr for gnome-codec-install (LP: #577097)

  [ Chris Coulson <email address hidden> ]
  * Rebase patches for 3.6.4 release
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/add_syspref_dir.patch
  * Build with --enable-ipc on amd64, i386 and armel. These are the only
    architectures where OOPP is supported. Build with --disable-ipc on all
    other architectures
    - update debian/rules
  * Fix LP: #513887 - Install the plugin-container binary for OOPP support
    when building with --enable-ipc
    - update debian/rules
  * Fix build failure with fontconfig 2.5
    - update debian/patches/lp512615_cairo_lcd_filter.patch
  * Fix LP: #469752 - KDE/Gnome startup notification not disappearing
    when app window is up - build with --enable-startup-notification
    - update debian/rules
 -- Chris Coulson <email address hidden> Wed, 23 Jun 2010 15:31:44 +0100

Changed in firefox (Ubuntu):
status: Fix Committed → Fix Released
Paul Fisher (thetorpedodog) wrote :

This bug seems to have resurfaced in Firefox 4.0, version

4.0~b4~hg20100808r49147+nobinonly-0ubuntu1~umd1~lucid .

However, this time around, in addition to getting errors 14 and 12 in that order, now I sometimes get:

** (firefox-4.0-bin:16473): WARNING **: Serious fd usage error 17

** (firefox-4.0-bin:16473): WARNING **: Serious fd usage error 14

instead.

Changed in firefox (Ubuntu):
status: Fix Released → New
Chris Coulson (chrisccoulson) wrote :

Please use the ubuntu-mozilla-ppa-bugs product for out-of-archive versions. In any case, this is already fixed in bzr and will be in the next spin of the daily builds

Changed in firefox (Ubuntu):
status: New → Fix Released
Changed in firefox:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.